Subject: [bug#65335] [PATCH 0/4] Allow mounting root on tmpfs for impersistence

From: Nicolas Graves <[email-masked]>
Date: Thu, 05 Oct 2023 16:30:18 +0200

On 2023-10-05 15:07, Ludovic Courtès wrote:

> Hi Nicolas,
>
> Did you have a chance to work on a revised version of this patch set?
>
>   https://issues.guix.gnu.org/65335
>
> Seems to me that little was missing.

Indeed, I have to finish this among other things. I still use it locally
and it works well for system impermanence. 

I couldn't answer your following question :

>   Should /var/run be removed (in the same commit) from ‘directives’ in
>   (gnu build install)?

Maybe you can help a bit if you have worked on this, so that I
understand correctly if something should be done here or not. 

>
> Thanks in advance!
>
> Ludo’.
>
> Ludovic Courtès <[email-masked]> skribis:
>
>> Hi,
>>
>> (You forgot to Cc the bug in your reply, so our conversation went off
>> the record…)
>>
>> Ludovic Courtès <[email-masked]> skribis:
>>
>>> Nicolas Graves <[email-masked]> skribis:
>>>
>>>> ---
>>>>  gnu/home/services/symlink-manager.scm | 5 +++++
>>>>  1 file changed, 5 insertions(+)
>>>>
>>>> diff --git a/gnu/home/services/symlink-manager.scm b/gnu/home/services/symlink-manager.scm
>>>> index e4c931fbee..d3c4d01db4 100644
>>>> --- a/gnu/home/services/symlink-manager.scm
>>>> +++ b/gnu/home/services/symlink-manager.scm
>>>> @@ -157,6 +157,11 @@ (define (update-symlinks-script)
>>>>                             #t
>>>>                             (G_ "Skipping ~a (not an empty directory)... done\n")
>>>>                             directory))
>>>> +                         ((= EBUSY errno)
>>>> +                          (format
>>>> +                           #t
>>>> +                           (G_ "Skipping ~a (dedicated device)... done\n")
>>>> +                           directory))
>>>
>>> How does that relate to the rest of the patch series?  What does
>>> “dedicate device” mean here?
>>
>> Your use case is for when ~/.local (for instance) is a separate mount
>> point (an uncommon use case because mounting file systems on Linux
>> usually requires root privileges).
>>
>> I’d suggested “dedicated device” → “underlying device is busy”, and a
>> short comment above explaining the kind of situation where this can
>> occur.
>>
>> Thanks,
>> Ludo’.

-- 
Best regards,
Nicolas Graves